<style scoped lang="less">

  aside {
    position: sticky;
    height: 100%;

    /deep/ .filter-group {
      margin-bottom: 50px;

      fieldset {
        margin-bottom: 10px;
      }

    }
  }

</style>


<template>

  <aside>

    <section class="filter-group">

      <p class="title">Criteria</p>

      <input-checkbox v-for="filter in getFilters('criteria')"
                      :key="filter.name"
                      :text="filter.name"
                      :is-checked="filter.active"
                      @change="(value, name) => onFilterChange(value, name, 'criteria')"
      />

    </section>


    <section class="filter-group">

      <p class="title">City</p>


      <input-checkbox v-for="filter in getFilters('city')"
                      :key="filter.name"
                      :text="filter.name"
                      :is-checked="filter.active"
                      @change="(value, name) => onFilterChange(value, name, 'city')"
      />

    </section>


  </aside>

</template>

<script>

  import { ScannerActions, NAMESPACE } from 'Store/modules/scanner'
  import InputCheckbox                 from 'UI/components/inputs/checkbox.vue'

  export default {
    name:       'scanner-filters',
    components: { InputCheckbox },
    computed:   {
      criteriaFilter() {
        return this.$store.state.scanner.filters.criteria
      },
    },
    methods:    {
      getFilters( filter ) {
        return this.$store.state.scanner.filters[ filter ]
      },
      onFilterChange( value, name, filterGroup ) {
        this.$store.dispatch(
            `${ NAMESPACE }/${ ScannerActions.SCANNER_FILTER_CHANGE }`,
            { value, name, filterGroup },
        )
      }
    }
  }

</script>
